#include <iostream>
using namespace std;
int main()
{
    int n, x, r=0;
    cin>>n>>x;
    int a[n+1];
    for(int i=1; i<=n; i++)
        cin>>a[i];
    a[0]=x;
    sort(a, a+n+1);
    if(x==a[0])
        r=a[n]-x;
    else if(x==a[n])
        r=x-a[0];
    else if(x-a[0]<=a[n]-x){
        for(int i=0; i<=n; i++){
            if(a[i]==x)
                r*=2;
            else
                r++;
        }
    }
    else if(x-a[0]>a[n]-x){
        for(int i=n; i>=0; i--){
            if(a[i]==x)
                r*=2;
            else
                r++;
        }
    }
    cout<<r<<endl;
    return 0;
}